Package org.mariadb.jdbc.internal.failover

## Class HandleErrorResult

- java.lang.Object
- - org.mariadb.jdbc.internal.failover.HandleErrorResult

    public class HandleErrorResult
    extends Object

### Field Summary

Fields
`boolean` `isReconnected`
`boolean` `mustThrowError`
`Object` `resultObject`

### Constructor Summary

Constructors
`HandleErrorResult()`
`HandleErrorResult​(boolean isReconnected)`
`HandleErrorResult​(boolean isReconnected, boolean mustThrowError)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### mustThrowError

    public boolean mustThrowError

#### isReconnected

    public boolean isReconnected

#### resultObject

    public Object resultObject

### Constructor Detail

#### HandleErrorResult

    public HandleErrorResult()

#### HandleErrorResult

    public HandleErrorResult​(boolean isReconnected)

#### HandleErrorResult

    public HandleErrorResult​(boolean isReconnected,
                             boolean mustThrowError)

### Method Detail

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`